#mainNav {
  box-shadow: $box-shadow;
  .navbar-brand {
    text-transform: uppercase;
    @include transition($transition-base);
    &:hover,
    &:focus {
      color: $gray-300;
      .navbar-logo-text .needle {
        animation-play-state: running;
      }
      .navbar-logo {
        .fold-left,
        .fold-middle,
        .fold-right {
          animation: blink 1.5s ease-in-out infinite;
        }
        .fold-left {animation-delay: .0s;}
        .fold-middle {animation-delay: .1s;}
        .fold-right {animation-delay: .2s;}
      }
    }//focus

    .navbar-logo {
      height: 32px;
    }
    .navbar-logo-text {
      height: 30px;
      .needle {
        animation: spin2 1s ease-in-out alternate infinite;
        animation-play-state: paused;
      }
      &.navbar-logo-text-1 .needle {transform-origin: percentage(327.5/400) percentage(16/32);}
      &.navbar-logo-text-2 .needle {transform-origin: percentage(78/124) percentage(24/32);}
    }
  }
  .navbar-nav {
    text-align: left;
    & > li.nav-item {
      // border-bottom: 1px solid $gray-700;
      // &:last-child {
      //   border-bottom: 0;
      // }
      & > a.nav-link {
        text-transform: uppercase;
        color: $white;
        padding: .5rem 1.5rem;
        border-radius: $border-radius;
        @include transition($transition-base);
        &:hover,
        &:focus {
          // color: $gray-300;
          background-color: $gray-700;
        }
      }
    }
  }
}
@keyframes spin2 {
  100%  {transform: rotate(360deg);}
}
@keyframes blink {
  10%  {opacity: 1;}
  20% {opacity: .6;}
  30% {opacity: 1;}
}

// Hamburger Menu
// Inspired by https://jonsuh.com/hamburgers

$hamburger-width:           32px;
$hamburger-height:          1rem;
$hamburger-layer-height:    3px;
$hamburger-color:           $white;
$hamburger-hover-bg:        $gray-700;
// $hamburger-hover-bg:        rgba($primary,.7);
// $hamburger-hover-width:     ceil($hamburger-layer-height/2);
$hamburger-transition-time:  .2s;

.navbar-toggler {
  border: 0;
  outline: 0;
  display: inline-block;
  overflow: visible;
  padding: .5rem .25rem;
  @include transition($transition-base);
  .hamburger-box {
    width: $hamburger-width;
    height: $hamburger-height;
    display: inline-block;
    position: relative;
  }
  .hamburger-inner {
    &,
    &::before,
    &::after {
      position: absolute;
      display: block;
      width: $hamburger-width;
      height: $hamburger-layer-height;
      background-color: $hamburger-color;
      border-radius: $hamburger-layer-height;
      transform-style: preserve-3d;
    }
    &::before,
    &::after {
      content: "";
    }
    & {
      top: 50%;
    }
    &::before {
      top: -.55rem;
    }
    &::after {
      bottom: -.55rem;
    }
  }
  &:hover,
  &:focus {
    outline: 0;
    background-color: $hamburger-hover-bg;
    // .hamburger-box {
    //   filter: drop-shadow((+$hamburger-hover-width) (+$hamburger-hover-width) ($hamburger-hover-width/4) $hamburger-hover-bg)
    //           drop-shadow((-$hamburger-hover-width) (+$hamburger-hover-width) ($hamburger-hover-width/4) $hamburger-hover-bg)
    //           drop-shadow((+$hamburger-hover-width) (-$hamburger-hover-width) ($hamburger-hover-width/4) $hamburger-hover-bg)
    //           drop-shadow((-$hamburger-hover-width) (-$hamburger-hover-width) ($hamburger-hover-width/4) $hamburger-hover-bg);
    // }
  }

// ☰ (nav closed)
  &.collapsed {
    .hamburger-inner {
      transition: transform $hamburger-transition-time;
      &::before {
        transition: opacity $hamburger-transition-time $hamburger-transition-time, top $hamburger-transition-time $hamburger-transition-time;
      }
      &::after {
        transition: transform $hamburger-transition-time, bottom $hamburger-transition-time $hamburger-transition-time;
      }
    }
  }

// X (nav opened)
  &:not(.collapsed) {
    .hamburger-inner {
      transform: rotate(45deg);
      transition: transform $hamburger-transition-time $hamburger-transition-time;
      &::before {
        top: 0;
        opacity: 0;
        transition: top $hamburger-transition-time, opacity $hamburger-transition-time $hamburger-transition-time;
      }
      &::after {
        bottom: 0;
        transform: rotate(-90deg);
        transition: bottom $hamburger-transition-time, transform $hamburger-transition-time $hamburger-transition-time;
      }
    }
  }

}//navbar-toggler
